ICC-4c C# SDK

Public Member Functions | List of all members
ICC4cPwmSdk.Device.ISignalGenerator Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ISignalGenerator:

## Public Member Functions
EICC4cPwmUnitType | GetUnitType (EChannel channel)
| Returns active unit type on channel. More...
void | SetUnitType (EChannel channel, EICC4cPwmUnitType unit)
| Sets active unit type on channel. More...
bool | IsRunning (EChannel channel)
| Returns status of signal generator (running, stopped). More...
void | SwitchRunning (EChannel channel, bool enable)
| Disable/enable signal generator (running, stopped). More...
ESignalGeneratorShape | GetShape (EChannel channel)
| Returns shape of waveform. More...
void | SetShape (EChannel channel, ESignalGeneratorShape shape)
| Sets shape of waveform. More...
float | GetFrequency (EChannel channel)
| Returns frequency in Hz of generated signal. More...
void | SetFrequency (EChannel channel, float value)
| Sets frequency in Hz of generated signal. More...
float | GetAmplitude (EChannel channel)
| Returns amplitude of generated signal. More...
void | SetAmplitude (EChannel channel, float value)
| Sets amplitude of generated signal. More...
float | GetOffset (EChannel channel)
| Returns offset of generated signal. More...
void | SetOffset (EChannel channel, float offset)
| Sets offset of generated signal. More...
float | GetPhaseDelay (EChannel channel)
| Returns phase in rad of generated signal. More...
void | SetPhaseDelay (EChannel channel, float phaseDelay)
| Sets phase in rad of generated signal. More...
int | GetCycles (EChannel channel)
| Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping. More...
void | SetCycles (EChannel channel, int cycles)
| Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping. More...
float | GetDutyCycles (EChannel channel)
| Returns duty cycle of square and pulse shapes (ignored for other shape types) More...
void | SetDutyCycles (EChannel channel, float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types) More...
bool | GetExternalTrigger (EChannel channel)
| Returns flag. If true, turning on the signal generator can be synchronized with an external signal. More...
void | SetExternalTrigger (EChannel channel, bool trigger)
| Sets flag. If true, turning on the signal generator can be synchronized with an external signal. More...
SignalGeneratorParametersDto | GetSignalGeneratorValues (EChannel channel)
| Returns object populated with signal generator values. More...
void | SetSignalGeneratorValues (EChannel channel, SignalGeneratorParametersDto axisValues)
| Sets object populated with signal generator values. More...

## Member Function Documentation

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.ISignalGenerator.GetAmplitude | ( | EChannel | channel | ) |

Returns amplitude of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetCycles()

int ICC4cPwmSdk.Device.ISignalGenerator.GetCycles | ( | EChannel | channel | ) |

Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.ISignalGenerator.GetDutyCycles | ( | EChannel | channel | ) |

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetExternalTrigger()

bool ICC4cPwmSdk.Device.ISignalGenerator.GetExternalTrigger | ( | EChannel | channel | ) |

Returns flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.ISignalGenerator.GetFrequency | ( | EChannel | channel | ) |

Returns frequency in Hz of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOffset()

float ICC4cPwmSdk.Device.ISignalGenerator.GetOffset | ( | EChannel | channel | ) |

Returns offset of generated signal.

Returns

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.ISignalGenerator.GetPhaseDelay | ( | EChannel | channel | ) |

Returns phase in rad of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.ISignalGenerator.GetShape | ( | EChannel | channel | ) |

Returns shape of waveform.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.ISignalGenerator.GetSignalGeneratorValues | ( | EChannel | channel | ) |

Returns object populated with signal generator values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetUnitType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.ISignalGenerator.GetUnitType | ( | EChannel | channel | ) |

Returns active unit type on channel.

Returns

## ◆ IsRunning()

bool ICC4cPwmSdk.Device.ISignalGenerator.IsRunning | ( | EChannel | channel | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.ISignalGenerator.SetAmplitude | ( | EChannel | channel,
|  | float | value
| ) |  |

Sets amplitude of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetCycles()

void ICC4cPwmSdk.Device.ISignalGenerator.SetCycles | ( | EChannel | channel,
|  | int | cycles
| ) |  |

Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.ISignalGenerator.SetDutyCycles | ( | EChannel | channel,
|  | float | dutyCycles
| ) |  |

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetExternalTrigger()

void ICC4cPwmSdk.Device.ISignalGenerator.SetExternalTrigger | ( | EChannel | channel,
|  | bool | trigger
| ) |  |

Sets flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.ISignalGenerator.SetFrequency | ( | EChannel | channel,
|  | float | value
| ) |  |

Sets frequency in Hz of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOffset()

void ICC4cPwmSdk.Device.ISignalGenerator.SetOffset | ( | EChannel | channel,
|  | float | offset
| ) |  |

Sets offset of generated signal.

Returns

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.ISignalGenerator.SetPhaseDelay | ( | EChannel | channel,
|  | float | phaseDelay
| ) |  |

Sets phase in rad of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetShape()

void ICC4cPwmSdk.Device.ISignalGenerator.SetShape | ( | EChannel | channel,
|  | ESignalGeneratorShape | shape
| ) |  |

Sets shape of waveform.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.ISignalGenerator.SetSignalGeneratorValues | ( | EChannel | channel,
|  | SignalGeneratorParametersDto | axisValues
| ) |  |

Sets object populated with signal generator values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.ISignalGenerator.SetUnitType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unit
| ) |  |

Sets active unit type on channel.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.ISignalGenerator.SwitchRunning | ( | EChannel | channel,
|  | bool | enable
| ) |  |

Disable/enable signal generator (running, stopped).

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- Device/ICC4cPwmSdkDeviceController.cs